/*
 * ******************************************************************************************
 *
 * File		: apb_i2c_hal.h
 * Author	: GOWIN
 * Function	: Hardware platform level definition of APB I2C
 *
 * ******************************************************************************************
 */

#ifndef __APB_I2C_HAL_H__
#define __APB_I2C_HAL_H__


#ifdef __cplusplus
extern "C" {
#endif


// Includes ---------------------------------------------------------------------------------
#include "dma_ae350.h"
#include "platform.h"


// Definitions  -----------------------------------------------------------------------------

/************************* DMA **********************************/
// Should be re-defined by user based on different platform.
// ...


/************************ INTERRUPT *****************************/
// Should be re-defined by user based on different platform.
// ...
void hal_disable_interrupt(unsigned int source);	// Disable interrupt
void hal_enable_interrupt(unsigned int source);		// Enable interrupt


#ifdef __cplusplus
}
#endif


#endif	/* __APB_I2C_HAL_H__ */
